<!doctype html>
<html lang="es">

<head>
  <meta charset='utf-8'>
  <title>Enlaces</title>
  <link rel='stylesheet' href='css/style.css'>
  <link rel='stylesheet' href='css/print.css' media='print'>
</head>

<body>


  <article class='reveal'>

    <section class='portada' data-bespoke-state='portada'>
      <h1>Enlaces</h1>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">a</span></h2>
      <ul class="lista">
        <li>Define un hiperenlace</li>
        <li>Elemento de línea</li>
        <li>Por defecto se suelen representar con letra azul y subrayados</li>
        <li>Los enlaces visitados se suelen ver de color púrpura</li>
        <li>Por defecto el resultado se muestra en la propia página</li>
      </ul>
      <h4 class="pt-05">Ejemplo:</h4>
      <div class="float-left w-50">
        <h4>Código:</h4>
        <pre><code><span class="etiqueta">a <span class="atributo">href</span><span class="valor">="#referencia"</span></span>Texto<span class="etiqueta">/a</span>
<span class="etiqueta">a <span class="atributo">href</span><span class="valor">="https://duckduckgo.com"</span></span>Buscador<span class="etiqueta">/a</span></code></pre>
      </div>
      <div class="float-left w-50">
        <h4>Resultado:</h4>
        <a href="#referencia">Texto</a>
        <a href="https://duckduckgo.com">Buscador</a>
      </div>
    </section>
    
    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">a</span></h2>
      <h3>Recomendaciones del Texto</h3>
      <pre><code><span class="etiqueta">a <span class="atributo">href</span><span class="valor">="referencia"</span></span>Texto<span class="etiqueta">/a</span></code></pre>
      <ul class="lista">
        <li>Usar con frases cortas y descriptivas</li>
        <li>Evitar texto como "Click aquí" o "Leer más"</li>
        <li>Evitar texto muy corto (movil)</li>
        <li>Estilo diferenciado, evitar clicks que no lo son</li>
      </ul>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">a</span></h2>
      <h3>Atributos: <span class="atributo">href</span></h3>
      <ul class="lista">
        <li>Establece la <span class="valor">URL</span> a la que apunta el enlace</li>
        <li>Tipos:
          <ul>
            <li>Url Absoluta: <b>https://</b>duckduckgo.com
              <pre class="font-size05"><code><span class="etiqueta">a <span class="atributo">href</span><span class="valor">="https://duckduckgo.com"</span></span>Buscador<span class="etiqueta">/a</span></code></pre>
            </li>
            <li>Url Relativa: quienes_somos.html
              <pre class="font-size05"><code><span class="etiqueta">a <span class="atributo">href</span><span class="valor">="quienes_somos.html"</span></span>Buscador<span class="etiqueta">/a</span></code></pre>
            </li>
            <li>En el mismo documento: #identificador
              <pre class="font-size05"><code><span class="etiqueta">a <span class="atributo">href</span><span class="valor">="#identificador"</span></span>Buscador<span class="etiqueta">/a</span></code></pre>
            </li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">a</span></h2>
      <h3>Atributos: <span class="atributo">target</span></h3>
      <ul class="lista">
        <li>Establece <strong>donde</strong> se va a cargar enlace</li>
        <li>Valores:
          <ul>
            <li><span class="valor">_blank</span>: el destino es una nueva ventana o pestaña</li>
            <li><span class="valor"><b>_self</b></span>: se carga sobre la página actual (por defecto)</li>
            <li><span class="valor">_parent</span>: si se encuentra en un frame, recarga donde se encuentra ese frame</li>
            <li><span class="valor">_top</span>: si hay varios niveles de frame, recarga la página principal</li>
            <li><span class="valor">nombreFrame</span>: recarga en el frame con dicho nombre</li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">a</span></h2>
      <h3>Atributos: <span class="atributo">rel</span></h3>
      <ul class="lista">
        <li>Establece la <strong>relación</strong> de la página con el enlace</li>
        <li>Valores (varios valores separado por espacios) (1/2):
          <ul>
            <li><span class="valor">alternate</span>: representación alternativa (imprimir, traducción, móvil..)</li>
            <li><span class="valor">author</span>: información sobre el autor de la página</li>
            <li><span class="valor">bookmark</span>: dirección para los marcadores de los navegadores</li>
            <li><span class="valor">external</span>: indica que el enlace no forma parte del sitio actual</li>
            <li><span class="valor">help</span>: ayuda de la página actual</li>
            <li><span class="valor">license</span>: información relacionada con la licencia de la página</li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">a</span></h2>
      <h3>Atributos: <span class="atributo">rel</span></h3>
      <ul class="lista">
        <li>Valores (varios valores separado por espacios) (2/2):
          <ul>
            <li><span class="valor">next</span>: siguiente página a la actual dentro de una secuencia de documentos</li>
            <li><span class="valor">nofollow</span>: indica a los motores de búsqueda que no sigan el enlace</li>
            <li><span class="valor">noopener</span>: la nueva página no tendrá la referencia a la ventana actual</li>
            <li><span class="valor">noreferrer</span>: la nueva página no tendrá la información de la página actual</li>
            <li><span class="valor">prev</span>: página previa a la actual dentro de una secuencia de documentos</li>
            <li><span class="valor">search</span>: herramienta de búsqueda para la página actual</li>
            <li><span class="valor">tag</span>: establece una etiqueta para el documento actual</li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">a</span></h2>
      <h3>Atributos: <span class="atributo">href</span> - Url Absolutas (especiales)</h3>
      <ul class="lista">
        <li><span class="valor">mailto:nombre@correo.es</span></li>
        <li><span class="valor">tel:112</span></li>
        <li><span class="valor">whatsapp://send?abid=numero&text=Kaixo!</span></li>
      </ul>
    </section>

    <section class="no-print" data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">a</span></h2>
      <h3>Ejercicio: <span class="atributo">href</span> - Url Absolutas</h3>
      <p>
        Crear una página con varios listados de enlaces. Cada listado tendrá un título que 
        identifique sobre que son los enlaces.
      </p>
      <h4><a href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio4/img/resultado.png?inline=false">Ejemplo</a></h4>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">a</span></h2>
      <h3>Atributos: <span class="atributo">href</span> - Url Relativas</h3>
      <div class="font-size75 float-left w-50">
        <h4>Estructura de ficheros:</h4>
        <ul class="lista">
          <li class="lista-icono icono-carpeta">img
            <ul>
              <li class="lista-icono icono-fichero">logo.png</li>
            </ul>
          </li>
          <li class="lista-icono icono-carpeta">equipo
            <ul>
              <li class="lista-icono icono-carpeta">ofertas
                <ul>
                  <li class="lista-icono icono-fichero">candidaturas_actuales.html</li>
                  <li class="lista-icono icono-fichero">candidaturas_cerradas.html</li>
                </ul>
              </li>
              <li class="lista-icono icono-fichero">trabajadores.html</li>
            </ul>
          </li>
          <li class="lista-icono icono-fichero"><b>index.html</b></li>
          <li class="lista-icono icono-fichero">contacto.html</li>          
        </ul>
      </div>
      <div class="font-size75 float-left w-50">
        <h4>Ruta desde index.html:</h4>
        <ul class="lista">
          <li><span class="valor">img/logo.png</span></li>
          <li><span class="valor">equipo/ofertas/candidaturas_actuales.html</span></li>
          <li><span class="valor">equipo/ofertas/candidaturas_cerradas.html</span></li>
          <li><span class="valor">equipo/trabajadores.html</span></li>
          <li><span class="valor">contacto.html</span></li>
        </ul>
      </div>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">a</span></h2>
      <h3>Atributos: <span class="atributo">href</span> - Url Relativas</h3>
      <div class="font-size75 float-left w-50">
        <h4>Estructura de ficheros:</h4>
        <ul class="lista">
          <li class="lista-icono icono-carpeta">img
            <ul>
              <li class="lista-icono icono-fichero">logo.png</li>
            </ul>
          </li>
          <li class="lista-icono icono-carpeta">equipo
            <ul>
              <li class="lista-icono icono-carpeta">ofertas
                <ul>
                  <li class="lista-icono icono-fichero">candidaturas_actuales.html</li>
                  <li class="lista-icono icono-fichero">candidaturas_cerradas.html</li>
                </ul>
              </li>
              <li class="lista-icono icono-fichero"><b>trabajadores.html</b></li>
            </ul>
          </li>
          <li class="lista-icono icono-fichero">index.html</li>
          <li class="lista-icono icono-fichero">contacto.html</li>          
        </ul>
      </div>
      <div class="font-size75 float-left w-50">
        <h4>Ruta desde trabajadores.html:</h4>
        <ul class="lista">
          <li><span class="valor">../img/logo.png</span></li>
          <li><span class="valor">ofertas/candidaturas_actuales.html</span></li>
          <li><span class="valor">ofertas/candidaturas_cerradas.html</span></li>
          <li><span class="valor">../index.html</span></li>
          <li><span class="valor">../contacto.html</span></li>
        </ul>
      </div>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">a</span></h2>
      <h3>Atributos: <span class="atributo">href</span> - Url Relativas</h3>
      <div class="font-size75 float-left w-50">
        <h4>Estructura de ficheros:</h4>
        <ul class="lista">
          <li class="lista-icono icono-carpeta">img
            <ul>
              <li class="lista-icono icono-fichero">logo.png</li>
            </ul>
          </li>
          <li class="lista-icono icono-carpeta">equipo
            <ul>
              <li class="lista-icono icono-carpeta">ofertas
                <ul>
                  <li class="lista-icono icono-fichero"><b>candidaturas_actuales.html</b></li>
                  <li class="lista-icono icono-fichero">candidaturas_cerradas.html</li>
                </ul>
              </li>
              <li class="lista-icono icono-fichero">trabajadores.html</li>
            </ul>
          </li>
          <li class="lista-icono icono-fichero">index.html</li>
          <li class="lista-icono icono-fichero">contacto.html</li>          
        </ul>
      </div>
      <div class="font-size75 float-left w-50">
        <h4>Ruta desde candidaturas_actuales.html:</h4>
        <ul class="lista">
          <li><span class="valor">../../img/logo.png</span></li>
          <li><span class="valor">candidaturas_cerradas.html</span></li>
          <li><span class="valor">../trabajadores.html</span></li>
          <li><span class="valor">../../index.html</span></li>
          <li><span class="valor">../../contacto.html</span></li>
        </ul>
      </div>
    </section>

    <section class="no-print" data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">a</span></h2>
      <h3>Ejercicio: <span class="atributo">href</span> - Url Relativas</h3>
      <ul class="lista">
        <li>Crear los siguientes ficheros: <a href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio5/img/ficheros.png?inline=false">Ficheros</a></li>
        <li>En la página indice.html crear un listado con los enlaces a las distintas páginas creadas</li>
        <li>Copiar el índice recién copiado y pegarlo en las distintas páginas (realizando las correcciones necesarias)</li>
        <li>Cada página creada tendrá que tener un título de nivel 1 con el nombre de la página</li>
      </ul>
      <h4><a href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio5/img/resultado.png?inline=false">Resultado</a></h4>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">a</span></h2>
      <h3>Atributos: <span class="atributo">href</span> - En el mismo documento</h3>
      <ul class="lista">
        <li>Primero hay que señalar el destino:
          <ul>
            <li>En cualquier etiqueta con el atributo <span class="atributo">id</span></li>
            <li>El <span class="valor">valor</span> asignado es el identificador</li>
          </ul>
        </li>
        <li>Para acceder a ello hay que usar el símbolo <b>#</b> y el <span class="valor">valor</span></li>
      </ul>
      <h4 class="pt-05">Ejemplo:</h4>
      <pre><code><span class="etiqueta">a <span class="atributo">href</span><span class="valor">="#historia"</span></span>Historia<span class="etiqueta">/a</span>
 ...
<span class="etiqueta">h2 <span class="atributo">id</span><span class="valor">="historia"</span></span>Historia<span class="etiqueta">/h2</span></code></pre>
    </section>

    <section class="no-print" data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">a</span></h2>
      <h3>Ejercicio: <span class="atributo">href</span> - En el mismo documento</h3>
      <ul class="lista">
        <li>Crear una página con al menos 5 párrafos</li>
        <li>Cada párrafo estará precedido por un título con identificador</li>
        <li>En la parte superior crear un listado que enlace con cada uno de los títulos</li>
        <li>Tras cada párrafo añadir un enlace que vaya al inicio de la página</li>
      </ul>
      <h4><a href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio6/img/resultado.png?inline=false">Ejemplo</a></h4>
    </section>
    
    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">a</span></h2>
      <h3>Atributos: <span class="atributo">href</span> - En una parte del documento</h3>
      <ul class="lista">
        <li>Combinar Url con la del documento</li>
      </ul>      
      <h4 class="pt-05">Ejemplo:</h4>

      <h4>fichero index.html</h4>
      <pre><code><span class="etiqueta">a <span class="atributo">href</span><span class="valor">="historia.html#decada60"</span></span>Historia - Década de los 60<span class="etiqueta">/a</span></code></pre>

      <h4>fichero historia.html</h4>
      <pre><code><span class="etiqueta">h2 <span class="atributo">id</span><span class="valor">="decada60"</span></span>Década de los 60<span class="etiqueta">/h2</span></code></pre>
    </section>    
  </article>

  <script src='js/slides.keys.js'></script>
  <script src='js/slides.classes.js'></script>
  <script src='js/slides.state.js'></script>
  <script src='js/slides.kernel.js'></script>
  <script src='js/slides.jump.js'></script>
  <script src='js/slides.swipe.js'></script>

  <script>
    const { Deck, classes, keys, state, jump, swipe } = S6;
    const deck = new Deck({
      parent: 'article',
      plugins: [classes(), keys(), state(), jump(), swipe()]
    });
  </script>
</body>

</html>